Bug 1193145 - systemd-journal-upload doesn't save state
Summary: systemd-journal-upload doesn't save state
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-16 16:38 UTC by Duncan Innes
Modified: 2015-04-02 15:37 UTC (History)
8 users (show)

Fixed In Version: systemd-216-24.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-02 15:37:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Duncan Innes 2015-02-16 16:38:37 UTC
Description of problem: systemd-journal-upload not saving state


Version-Release number of selected component (if applicable): systemd-216-20.fc21.x86_64


How reproducible: Every time so far


Steps to Reproduce:
1. Configure /etc/systemd/system/systemd-journal-upload.service.d/system-journal-upload.conf to export logs to --url=http://localhost
(as noted in https://bugzilla.redhat.com/show_bug.cgi?id=1193143, the User is also set to root in this file)
2. Set up service to listen on port 19532 and export to local file
3. systemctl daemon-reload
4. systemctl start systemd-journal-upload.service
5. Wait until backlog of journald has been received by port 19532 and written to file
6. Stop systemd-journal-upload process
7. systemctl start systemd-journal-upload.service

Actual results: journald backlog is written to --url location again.  No state file can be found in the default location


Expected results: State file (in default location) to save latest log record sent via s-j-upload.  Restarting s-j-upload should only upload new log entries to the --url location.


Additional info:  I have tried specifying my own --save-state file in my /etc/systemd/system/systemd-journal-upload.service.d/system-journal-upload.conf file, but this makes no difference.

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-03-23 03:34:48 UTC
The directory was not created properly by the rpm.

Comment 2 Fedora Update System 2015-03-26 14:30:37 UTC
systemd-216-23.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/systemd-216-23.fc21

Comment 3 Fedora Update System 2015-03-30 07:04:08 UTC
Package systemd-216-24.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-216-24.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4991/systemd-216-24.fc21
then log in and leave karma (feedback).

Comment 4 Duncan Innes 2015-04-02 11:16:53 UTC
Sorry - won't have access to my Fedora test rig as on holiday until mid April.  Will test once back.

Comment 5 Fedora Update System 2015-04-02 15:37:41 UTC
systemd-216-24.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.